Open CASCADE Technology: StepVisual_Array1OfBoxCharacteristicSelect Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepVisual_Array1OfBoxCharacteristicSelect Class Reference

`#include <StepVisual_Array1OfBoxCharacteristicSelect.hxx>`

## Public Member Functions
| StepVisual_Array1OfBoxCharacteristicSelect (const Standard_Integer Low, const Standard_Integer Up)
| StepVisual_Array1OfBoxCharacteristicSelect (const StepVisual_BoxCharacteristicSelect &Item, const Standard_Integer Low, const Standard_Integer Up)
void | Init (const StepVisual_BoxCharacteristicSelect &V)
void | Destroy ()
| ~StepVisual_Array1OfBoxCharacteristicSelect ()
Standard_Boolean | IsAllocated () const
const StepVisual_Array1OfBoxCharacteristicSelect & | Assign (const StepVisual_Array1OfBoxCharacteristicSelect &Other)
const StepVisual_Array1OfBoxCharacteristicSelect & | operator= (const StepVisual_Array1OfBoxCharacteristicSelect &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepVisual_BoxCharacteristicSelect &Value)
const StepVisual_BoxCharacteristicSelect & | Value (const Standard_Integer Index) const
const StepVisual_BoxCharacteristicSelect & | operator() (const Standard_Integer Index) const
StepVisual_BoxCharacteristicSelect & | ChangeValue (const Standard_Integer Index)
StepVisual_BoxCharacteristicSelect & | operator() (const Standard_Integer Index)

## Constructor & Destructor Documentation

StepVisual_Array1OfBoxCharacteristicSelect::StepVisual_Array1OfBoxCharacteristicSelect | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

StepVisual_Array1OfBoxCharacteristicSelect::StepVisual_Array1OfBoxCharacteristicSelect | ( | const StepVisual_BoxCharacteristicSelect & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

StepVisual_Array1OfBoxCharacteristicSelect::~StepVisual_Array1OfBoxCharacteristicSelect | ( |  | ) |
| inline

## Member Function Documentation

const StepVisual_Array1OfBoxCharacteristicSelect& StepVisual_Array1OfBoxCharacteristicSelect::Assign | ( | const StepVisual_Array1OfBoxCharacteristicSelect & | Other | ) |

StepVisual_BoxCharacteristicSelect& StepVisual_Array1OfBoxCharacteristicSelect::ChangeValue | ( | const Standard_Integer | Index | ) |

void StepVisual_Array1OfBoxCharacteristicSelect::Destroy | ( |  | ) |

void StepVisual_Array1OfBoxCharacteristicSelect::Init | ( | const StepVisual_BoxCharacteristicSelect & | V | ) |

Standard_Boolean StepVisual_Array1OfBoxCharacteristicSelect::IsAllocated | ( |  | ) | const

Standard_Integer StepVisual_Array1OfBoxCharacteristicSelect::Length | ( |  | ) | const

Standard_Integer StepVisual_Array1OfBoxCharacteristicSelect::Lower | ( |  | ) | const

const StepVisual_BoxCharacteristicSelect& StepVisual_Array1OfBoxCharacteristicSelect::operator() | ( | const Standard_Integer | Index | ) | const
| inline

StepVisual_BoxCharacteristicSelect& StepVisual_Array1OfBoxCharacteristicSelect::operator() | ( | const Standard_Integer | Index | ) |
| inline

const StepVisual_Array1OfBoxCharacteristicSelect& StepVisual_Array1OfBoxCharacteristicSelect::operator= | ( | const StepVisual_Array1OfBoxCharacteristicSelect & | Other | ) |
| inline

void StepVisual_Array1OfBoxCharacteristicSelect::SetValue | ( | const Standard_Integer | Index,
|  | const StepVisual_BoxCharacteristicSelect & | Value
| ) |  |

Standard_Integer StepVisual_Array1OfBoxCharacteristicSelect::Upper | ( |  | ) | const

const StepVisual_BoxCharacteristicSelect& StepVisual_Array1OfBoxCharacteristicSelect::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- StepVisual_Array1OfBoxCharacteristicSelect.hxx